| Home | Libraries | People | FAQ | More

## Class unknown_option

boost::program_options::unknown_option

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class unknown_option :
      public boost::program_options::error_with_no_option_name
    {
    public:
      // construct/copy/destruct
      unknown_option(const std::string & = "");
      ~unknown_option();
    };

## Description

Class thrown when option name is not recognized.

### `unknown_option` public construct/copy/destruct

1.     unknown_option(const std::string & original_token = "");

2.     ~unknown_option();